Index: include/nurb.h
===================================================================
--- include/nurb.h	(revision 54124)
+++ include/nurb.h	(working copy)
@@ -252,7 +252,7 @@
 RT_EXPORT extern void rt_nurb_free_snurb(struct face_g_snurb *srf, struct resource *res);
 RT_EXPORT extern void rt_nurb_free_cnurb(struct edge_g_cnurb * crv);
 RT_EXPORT extern void rt_nurb_c_print(const struct edge_g_cnurb *crv);
-RT_EXPORT extern void rt_nurb_s_print(char *c, const struct face_g_snurb *srf);
+RT_EXPORT extern void rt_nurb_s_print(const char *c, const struct face_g_snurb *srf);
 RT_EXPORT extern void rt_nurb_pr_kv(const struct knot_vector *kv);
 RT_EXPORT extern void rt_nurb_pr_mesh(const struct face_g_snurb *m);
 RT_EXPORT extern void rt_nurb_print_pt_type(int c);
Index: include/shadefuncs.h
===================================================================
--- include/shadefuncs.h	(revision 54124)
+++ include/shadefuncs.h	(working copy)
@@ -47,7 +47,7 @@
  */
 struct mfuncs {
     uint32_t mf_magic;		/**< @brief To validate structure */
-    char *mf_name;		/**< @brief Keyword for material */
+    const char *mf_name;		/**< @brief Keyword for material */
     struct mfuncs *mf_forw;	/**< @brief Forward link */
     int mf_inputs;		/**< @brief shadework inputs needed */
     int mf_flags;		/**< @brief Flags describing shader */
Index: include/bu.h
===================================================================
--- include/bu.h	(revision 54124)
+++ include/bu.h	(working copy)
@@ -1709,7 +1709,7 @@
     genptr_t buf;	/**< In-memory copy of file (may be mmapped)  */
     size_t buflen;	/**< # bytes in 'buf'  */
     int is_mapped;	/**< 1=mmap() used, 0=bu_malloc/fread */
-    char *appl;		/**< bu_strdup() of tag for application using 'apbuf'  */
+    const char *appl;	/**< bu_strdup() of tag for application using 'apbuf'  */
     genptr_t apbuf;	/**< opt: application-specific buffer */
     size_t apbuflen;	/**< opt: application-specific buflen */
     long modtime;	/**< date stamp, in case file is modified */
@@ -2564,7 +2564,7 @@
  * checking)
  */
 struct bu_cmdtab {
-    char *ct_name;
+    const char *ct_name;
     int (*ct_func)(void *data, int argc, const char *argv[]);
 };
 
@@ -3331,7 +3331,7 @@
 /**
  * for bu_getopt().  current argument associated with current option.
  */
-BU_EXPORT extern char *bu_optarg;
+BU_EXPORT extern const char *bu_optarg;
 
 /**
  * Get option letter from argument vector.
@@ -5735,7 +5735,7 @@
 };
 struct bu_lex_key {
     int tok_val;
-    char *string;
+    const char *string;
 };
 #define BU_LEX_NEED_MORE 0
 
Index: include/vfont-if.h
===================================================================
--- include/vfont-if.h	(revision 54124)
+++ include/vfont-if.h	(working copy)
@@ -111,7 +111,7 @@
  * VFONT_NULL is returned on error.  On ordinary errors, the function
  * is silent.  On extraordinary errors, a remark is placed on stderr.
  */
-BU_EXPORT extern struct vfont *vfont_get(char *font);
+BU_EXPORT extern struct vfont *vfont_get(const char *font);
 
 /**
  * V F O N T _ F R E E
Index: include/analyze.h
===================================================================
--- include/analyze.h	(revision 54124)
+++ include/analyze.h	(working copy)
@@ -66,7 +66,7 @@
 struct region_pair {
     struct bu_list l;
     union {
-	char *name;
+	const char *name;
 	struct region *r1;
     } r;
     struct region *r2;
Index: include/raytrace.h
===================================================================
--- include/raytrace.h	(revision 54124)
+++ include/raytrace.h	(working copy)
@@ -1185,7 +1185,7 @@
     struct tree_nmgregion {
 	uint32_t magic;
 	int td_op;			/**< @brief  leaf, OP_NMG_TESS */
-	const char *td_name;		/**< @brief  If non-null, dynamic string describing heritage of this region */
+	char *td_name;			/**< @brief  If non-null, dynamic string describing heritage of this region */
 	struct nmgregion *td_r;		/**< @brief  ptr to NMG region */
     } tr_d;
     struct tree_db_leaf {
@@ -6441,7 +6441,7 @@
 RT_EXPORT extern struct shell *nmg_extrude_shell(struct shell *s, const fastf_t dist, const int normal_ward, const int approximate, const struct bn_tol *tol);
 
 /* From nmg_pr.c */
-RT_EXPORT extern char *nmg_orientation(int orientation);
+RT_EXPORT extern const char *nmg_orientation(int orientation);
 RT_EXPORT extern void nmg_pr_orient(int orientation,
 				    const char *h);
 RT_EXPORT extern void nmg_pr_m(const struct model *m);
Index: src/other/libtermlib/termcap.h
===================================================================
--- src/other/libtermlib/termcap.h	(revision 54124)
+++ src/other/libtermlib/termcap.h	(working copy)
@@ -45,9 +45,9 @@
 #define	TCBUFSIZE	2048
 
 int tgetent(char *, const char *);
-int tgetnum(char *);
+int tgetnum(const char *);
 int tgetflag(char *);
-char *tgetstr(char *, char **);
+char *tgetstr(const char *, char **);
 char *tgoto(char *, int, int);
 int tputs(const char *, int, int (*)(int));
 
Index: src/other/libtermlib/termcap.c
===================================================================
--- src/other/libtermlib/termcap.c	(revision 54124)
+++ src/other/libtermlib/termcap.c	(working copy)
@@ -287,7 +287,7 @@
  * Note that we handle octal numbers beginning with 0.
  */
 int
-tgetnum(char *id)
+tgetnum(const char *id)
 {
 	register int i, base;
 	register char *bp = tbuf;
@@ -350,7 +350,7 @@
  * No checking on area overflow.
  */
 char *
-tgetstr(char *id, char **area)
+tgetstr(const char *id, char **area)
 {
 	register char *bp = tbuf;
 
Index: src/other/tk/generic/tk.h
===================================================================
--- src/other/tk/generic/tk.h	(revision 54124)
+++ src/other/tk/generic/tk.h	(working copy)
@@ -1346,7 +1346,7 @@
  */
 
 struct Tk_PhotoImageFormat {
-    char *name;			/* Name of image file format */
+    const char *name;			/* Name of image file format */
     Tk_ImageFileMatchProc *fileMatchProc;
 				/* Procedure to call to determine whether an
 				 * image file matches this format. */
Index: src/other/tcl/generic/tclResult.c
===================================================================
--- src/other/tcl/generic/tclResult.c	(revision 54124)
+++ src/other/tcl/generic/tclResult.c	(working copy)
@@ -394,7 +394,7 @@
 Tcl_SetResult(
     Tcl_Interp *interp,		/* Interpreter with which to associate the
 				 * return value. */
-    register char *result,	/* Value to be returned. If NULL, the result
+    register const char *result,	/* Value to be returned. If NULL, the result
 				 * is set to an empty string. */
     Tcl_FreeProc *freeProc)	/* Gives information about the string:
 				 * TCL_STATIC, TCL_VOLATILE, or the address of
Index: src/other/tcl/generic/tclDecls.h
===================================================================
--- src/other/tcl/generic/tclDecls.h	(revision 54124)
+++ src/other/tcl/generic/tclDecls.h	(working copy)
@@ -1391,7 +1391,7 @@
 #ifndef Tcl_SetResult_TCL_DECLARED
 #define Tcl_SetResult_TCL_DECLARED
 /* 232 */
-EXTERN void		Tcl_SetResult(Tcl_Interp *interp, char *result,
+EXTERN void		Tcl_SetResult(Tcl_Interp *interp, const char *result,
 				Tcl_FreeProc *freeProc);
 #endif
 #ifndef Tcl_SetServiceMode_TCL_DECLARED
Index: src/rttherm/ssampview.c
===================================================================
--- src/rttherm/ssampview.c	(revision 54124)
+++ src/rttherm/ssampview.c	(working copy)
@@ -98,7 +98,7 @@
 void rescale(int wav);
 void show_color(int off);
 
-char *first_command = "no_command?";
+const char *first_command = "no_command?";
 
 /*
  * A S S I G N _ T A B D A T A _ T O _ T C L _ V A R
@@ -536,7 +536,7 @@
 	    case 't':
 		fprintf(stderr, "ssampview: conducting library tests\n");
 		conduct_tests();
-		first_command = "do_testing";
+		first_command = (char *)"do_testing";
 		Tk_Main(1, argv, tcl_appinit);
 		/* NOTREACHED */
 		bu_exit(0, NULL);
@@ -584,7 +584,7 @@
     if (BU_STR_EQUAL(datafile_basename, ""))
 	datafile_basename = bu_strdup("ssampview");
 
-    first_command = "doit1 42";
+    first_command = (char *)"doit1 42";
 
     if ((fbp = fb_open(NULL, width, height)) == FBIO_NULL) {
 	bu_free(datafile_basename, "datafile_basename realpath");
Index: src/libged/joint.c
===================================================================
--- src/libged/joint.c	(revision 54124)
+++ src/libged/joint.c	(working copy)
@@ -548,7 +548,7 @@
 static double mm2base, base2mm;
 
 static void
-parse_error(struct ged *gedp, struct bu_vls *str, char *error)
+parse_error(struct ged *gedp, struct bu_vls *str, const char *error)
 {
     char *text;
     size_t i;
@@ -623,7 +623,7 @@
 static int
 gobble_token(struct ged *gedp, int type_wanted, int value_wanted, FILE *fip, struct bu_vls *str)
 {
-    static char *types[] = {
+    static const char *types[] = {
 	"any",
 	"integer",
 	"double",
@@ -873,7 +873,7 @@
 {
     union bu_lex_token token;
     int max;
-    char *error;
+    const char *error;
 
     /* initialize result */
     bu_vls_trunc(gedp->ged_result_str, 0);
Index: src/libged/brep.c
===================================================================
--- src/libged/brep.c	(revision 54124)
+++ src/libged/brep.c	(working copy)
@@ -202,7 +202,7 @@
 	    bname = (char*)bu_malloc(strlen(solid_name)+6, "char");
 	    bu_strlcpy(bname, solid_name, strlen(solid_name)+1);
 	    bu_strlcat(bname, "_brep", strlen(bname)+6);
-	    suffix = "_brep";
+	    suffix = (char *)"_brep";
 	}
 	if (BU_STR_EQUAL(intern.idb_meth->ft_name, "ID_COMBINATION")) {
 	    char *bname_suffix;
Index: src/libged/joint.h
===================================================================
--- src/libged/joint.h	(revision 54124)
+++ src/libged/joint.h	(working copy)
@@ -182,9 +182,9 @@
 #define FUNTAB_UNLIMITED -1
 
 struct funtab {
-    char *ft_name;
-    char *ft_parms;
-    char *ft_comment;
+    const char *ft_name;
+    const char *ft_parms;
+    const char *ft_comment;
     int (*ft_func)();
     int ft_min;
     int ft_max;
Index: src/libged/pix2fb.c
===================================================================
--- src/libged/pix2fb.c	(revision 54124)
+++ src/libged/pix2fb.c	(working copy)
@@ -152,7 +152,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	infd = 0;
     } else {
 	file_name = argv[bu_optind];
Index: src/libged/clone.c
===================================================================
--- src/libged/clone.c	(revision 54124)
+++ src/libged/clone.c	(working copy)
@@ -413,7 +413,7 @@
 	bu_vls_strcpy(&obj_list.names[idx].dest[i], bu_vls_addr(name));
 
 	/* actually copy the primitive to the new name */
-	argv[0] = "clone_copy";
+	argv[0] = (char *)"clone_copy";
 	argv[1] = proto->d_namep;
 	argv[2] = bu_vls_addr(name);
 	argv[3] = (char *)0;
Index: src/libged/list.c
===================================================================
--- src/libged/list.c	(revision 54124)
+++ src/libged/list.c	(working copy)
@@ -109,8 +109,8 @@
     int c;
     int recurse = 0;
     int verbose = 99;
-    char *terse_parm = "-t";
-    char *listeval = "listeval";
+    const char *terse_parm = "-t";
+    const char *listeval = "listeval";
     struct rt_db_internal intern;
     static const char *usage = "[-r] [-t] <objects>";
 
@@ -149,12 +149,12 @@
 	if (recurse) {
 	    char *tmp_argv[3] = {NULL, NULL, NULL};
 
-	    tmp_argv[0] = listeval;
+	    tmp_argv[0] = (char *)listeval;
 	    if (verbose) {
 		tmp_argv[1] = (char *)argv[arg];
 		ged_pathsum(gedp, 2, (const char **)tmp_argv);
 	    } else {
-		tmp_argv[1] = terse_parm;
+		tmp_argv[1] = (char *)terse_parm;
 		tmp_argv[2] = (char *)argv[arg];
 		ged_pathsum(gedp, 3, (const char **)tmp_argv);
 	    }
Index: src/libged/color.c
===================================================================
--- src/libged/color.c	(revision 54124)
+++ src/libged/color.c	(working copy)
@@ -130,7 +130,7 @@
     while ((c = bu_getopt(argc, (char * const *)argv, "E:")) != -1) {
 	switch (c) {
 	    case 'E' :
-		editstring = bu_optarg;
+		editstring = (char *)bu_optarg;
 		break;
 	    default :
 		break;
Index: src/libged/analyze.c
===================================================================
--- src/libged/analyze.c	(revision 54124)
+++ src/libged/analyze.c	(working copy)
@@ -139,7 +139,7 @@
     /* this table has 1 column (plus a name column) */
     int maxwidth[2] = {0, 0};
     field_t dashes;
-    char* fnames[3] = {"Volume",
+    const char* fnames[3] = {"Volume",
 		       "Surface Area",
 		       "Gallons"};
     int indent = 4; /* number spaces to indent the table */
Index: src/libged/inside.c
===================================================================
--- src/libged/inside.c	(revision 54124)
+++ src/libged/inside.c	(working copy)
@@ -42,7 +42,7 @@
 #include "./ged_private.h"
 
 
-static char *p_arb4[] = {
+static const char *p_arb4[] = {
     "Enter thickness for face 123: ",
     "Enter thickness for face 124: ",
     "Enter thickness for face 234: ",
@@ -50,7 +50,7 @@
 };
 
 
-static char *p_arb5[] = {
+static const char *p_arb5[] = {
     "Enter thickness for face 1234: ",
     "Enter thickness for face 125: ",
     "Enter thickness for face 235: ",
@@ -59,7 +59,7 @@
 };
 
 
-static char *p_arb6[] = {
+static const char *p_arb6[] = {
     "Enter thickness for face 1234: ",
     "Enter thickness for face 2356: ",
     "Enter thickness for face 1564: ",
@@ -68,7 +68,7 @@
 };
 
 
-static char *p_arb7[] = {
+static const char *p_arb7[] = {
     "Enter thickness for face 1234: ",
     "Enter thickness for face 567: ",
     "Enter thickness for face 145: ",
@@ -78,7 +78,7 @@
 };
 
 
-static char *p_arb8[] = {
+static const char *p_arb8[] = {
     "Enter thickness for face 1234: ",
     "Enter thickness for face 5678: ",
     "Enter thickness for face 1485: ",
@@ -88,19 +88,19 @@
 };
 
 
-static char *p_tgcin[] = {
+static const char *p_tgcin[] = {
     "Enter thickness for base (AxB): ",
     "Enter thickness for top (CxD): ",
     "Enter thickness for side: ",
 };
 
 
-static char *p_partin[] = {
+static const char *p_partin[] = {
     "Enter thickness for body: ",
 };
 
 
-static char *p_rpcin[] = {
+static const char *p_rpcin[] = {
     "Enter thickness for front plate (contains V): ",
     "Enter thickness for back plate: ",
     "Enter thickness for top plate: ",
@@ -108,7 +108,7 @@
 };
 
 
-static char *p_rhcin[] = {
+static const char *p_rhcin[] = {
     "Enter thickness for front plate (contains V): ",
     "Enter thickness for back plate: ",
     "Enter thickness for top plate: ",
@@ -116,24 +116,24 @@
 };
 
 
-static char *p_epain[] = {
+static const char *p_epain[] = {
     "Enter thickness for top plate: ",
     "Enter thickness for body: ",
 };
 
 
-static char *p_ehyin[] = {
+static const char *p_ehyin[] = {
     "Enter thickness for top plate: ",
     "Enter thickness for body: ",
 };
 
 
-static char *p_etoin[] = {
+static const char *p_etoin[] = {
     "Enter thickness for body: ",
 };
 
 
-static char *p_nmgin[] = {
+static const char *p_nmgin[] = {
     "Enter thickness for shell: ",
 };
 
@@ -970,33 +970,33 @@
     switch (ip->idb_type) {
 
 	case ID_ARB8: {
-	    char **prompt = p_arb6;
+	    char **prompt = (char **)p_arb6;
 	    struct rt_arb_internal *arb = (struct rt_arb_internal *)ip->idb_ptr;
 
 	    nface = 6;
 
 	    switch (cgtype) {
 		case 8:
-		    prompt = p_arb8;
+		    prompt = (char **)p_arb8;
 		    break;
 
 		case 7:
-		    prompt = p_arb7;
+		    prompt = (char **)p_arb7;
 		    break;
 
 		case 6:
-		    prompt = p_arb6;
+		    prompt = (char **)p_arb6;
 		    nface = 5;
 		    VMOVE(arb->pt[5], arb->pt[6]);
 		    break;
 
 		case 5:
-		    prompt = p_arb5;
+		    prompt = (char **)p_arb5;
 		    nface = 5;
 		    break;
 
 		case 4:
-		    prompt = p_arb4;
+		    prompt = (char **)p_arb4;
 		    nface = 4;
 		    VMOVE(arb->pt[3], arb->pt[4]);
 		    break;
Index: src/libged/qray.h
===================================================================
--- src/libged/qray.h	(revision 54124)
+++ src/libged/qray.h	(working copy)
@@ -46,7 +46,7 @@
 
 struct qray_fmt_data {
     char type;
-    char *fmt;
+    const char *fmt;
 };
 
 
Index: src/libged/rtcheck.c
===================================================================
--- src/libged/rtcheck.c	(revision 54124)
+++ src/libged/rtcheck.c	(working copy)
@@ -131,7 +131,7 @@
 	}
 
 	/* Add overlay */
-	_ged_cvt_vlblock_to_solids(rtcp->gedp, rtcp->vbp, "OVERLAPS", 0);
+	_ged_cvt_vlblock_to_solids(rtcp->gedp, rtcp->vbp, (char *)"OVERLAPS", 0);
 	rt_vlblock_free(rtcp->vbp);
 
 	/* wait for the forked process */
@@ -327,7 +327,7 @@
 
     vp = &gedp->ged_gdp->gd_rt_cmd[0];
     *vp++ = rtcheck;
-    *vp++ = "-M";
+    *vp++ = (char *)"-M";
     for (i = 1; i < argc; i++)
 	*vp++ = (char *)argv[i];
 
Index: src/libged/decompose.c
===================================================================
--- src/libged/decompose.c	(revision 54124)
+++ src/libged/decompose.c	(working copy)
@@ -39,7 +39,7 @@
     struct bu_vls solid_name = BU_VLS_INIT_ZERO;
     char *nmg_solid_name;
     char *prefix;
-    char *def_prefix="sh";
+    char *def_prefix= (char *)"sh";
     struct model *m;
     struct nmgregion *r;
     struct model *new_m;
Index: src/libged/typein.c
===================================================================
--- src/libged/typein.c	(revision 54124)
+++ src/libged/typein.c	(working copy)
@@ -37,7 +37,7 @@
 #include "./ged_private.h"
 
 
-static char *p_half[] = {
+static const char *p_half[] = {
     "Enter X, Y, Z of outward pointing normal vector: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -45,7 +45,7 @@
 };
 
 
-static char *p_dsp_v4[] = {
+static const char *p_dsp_v4[] = {
     "Enter name of displacement-map file: ",
     "Enter width of displacement-map (number of values): ",
     "Enter length of displacement-map (number of values): ",
@@ -55,7 +55,7 @@
 };
 
 
-static char *p_dsp_v5[] = {
+static const char *p_dsp_v5[] = {
     "Take data from file or database binary object [f|o]:",
     "Enter name of file/object: ",
     "Enter width of displacement-map (number of values): ",
@@ -67,7 +67,7 @@
 };
 
 
-static char *p_hf[] = {
+static const char *p_hf[] = {
     "Enter name of control file (or \"\" for none): ",
     "Enter name of data file (containing heights): ",
     "Enter 'cv' style format of data [h|n][s|u]c|s|i|l|d|8|16|32|64: ",
@@ -90,7 +90,7 @@
 };
 
 
-static char *p_ebm[] = {
+static const char *p_ebm[] = {
     "Enter name of bit-map file: ",
     "Enter width of bit-map (number of cells): ",
     "Enter height of bit-map (number of cells): ",
@@ -98,14 +98,14 @@
 };
 
 
-static char *p_submodel[] = {
+static const char *p_submodel[] = {
     "Enter name of treetop: ",
     "Enter space partitioning method: ",
     "Enter name of .g file (or \"\" for none): "
 };
 
 
-static char *p_vol[] = {
+static const char *p_vol[] = {
     "Enter name of file containing voxel data: ",
     "Enter X, Y, Z dimensions of file (number of cells): ",
     "Enter Y dimension of file (number of cells): ",
@@ -118,7 +118,7 @@
 };
 
 
-static char *p_bot[] = {
+static const char *p_bot[] = {
     "Enter number of vertices: ",
     "Enter number of triangles: ",
     "Enter mode (1->surface, 2->solid, 3->plate): ",
@@ -134,7 +134,7 @@
 };
 
 
-static char *p_arbn[] = {
+static const char *p_arbn[] = {
     "Enter number of planes: ",
     "Enter coefficients",
     "Enter Y-coordinate of normal",
@@ -143,7 +143,7 @@
 };
 
 
-static char *p_pipe[] = {
+static const char *p_pipe[] = {
     "Enter number of points: ",
     "Enter X, Y, Z, inner diameter, outer diameter, and bend radius for first point: ",
     "Enter Y: ",
@@ -160,7 +160,7 @@
 };
 
 
-static char *p_ars[] = {
+static const char *p_ars[] = {
     "Enter number of points per waterline, and number of waterlines: ",
     "Enter number of waterlines: ",
     "Enter X, Y, Z for First row point: ",
@@ -172,7 +172,7 @@
 };
 
 
-static char *p_arb[] = {
+static const char *p_arb[] = {
     "Enter X, Y, Z for point 1: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -200,7 +200,7 @@
 };
 
 
-static char *p_sph[] = {
+static const char *p_sph[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -208,7 +208,7 @@
 };
 
 
-static char *p_ellg[] = {
+static const char *p_ellg[] = {
     "Enter X, Y, Z of focus point 1: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -219,7 +219,7 @@
 };
 
 
-static char *p_ell1[] = {
+static const char *p_ell1[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -230,7 +230,7 @@
 };
 
 
-static char *p_ell[] = {
+static const char *p_ell[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -246,7 +246,7 @@
 };
 
 
-static char *p_tor[] = {
+static const char *p_tor[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -258,7 +258,7 @@
 };
 
 
-static char *p_rcc[] = {
+static const char *p_rcc[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -269,7 +269,7 @@
 };
 
 
-static char *p_tec[] = {
+static const char *p_tec[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -286,7 +286,7 @@
 };
 
 
-static char *p_rec[] = {
+static const char *p_rec[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -302,7 +302,7 @@
 };
 
 
-static char *p_trc[] = {
+static const char *p_trc[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -314,7 +314,7 @@
 };
 
 
-static char *p_tgc[] = {
+static const char *p_tgc[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -332,7 +332,7 @@
 };
 
 
-static char *p_box[] = {
+static const char *p_box[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -348,7 +348,7 @@
 };
 
 
-static char *p_rpp[] = {
+static const char *p_rpp[] = {
     "Enter XMIN, XMAX, YMIN, YMAX, ZMIN, ZMAX: ",
     "Enter XMAX: ",
     "Enter YMIN, YMAX, ZMIN, ZMAX: ",
@@ -358,14 +358,14 @@
 };
 
 
-static char *p_orpp[] = {
+static const char *p_orpp[] = {
     "Enter XMAX, YMAX, ZMAX: ",
     "Enter YMAX, ZMAX: ",
     "Enter ZMAX: "
 };
 
 
-static char *p_rpc[] = {
+static const char *p_rpc[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -379,7 +379,7 @@
 };
 
 
-static char *p_part[] = {
+static const char *p_part[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -391,7 +391,7 @@
 };
 
 
-static char *p_rhc[] = {
+static const char *p_rhc[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -406,7 +406,7 @@
 };
 
 
-static char *p_epa[] = {
+static const char *p_epa[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -420,7 +420,7 @@
 };
 
 
-static char *p_ehy[] = {
+static const char *p_ehy[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -435,7 +435,7 @@
 };
 
 
-static char *p_hyp[] = {
+static const char *p_hyp[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -450,7 +450,7 @@
 };
 
 
-static char *p_eto[] = {
+static const char *p_eto[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -465,14 +465,14 @@
 };
 
 
-static char *p_binunif[] = {
+static const char *p_binunif[] = {
     "Enter minor type (f, d, c, s, i, L, C, S, I, or L): ",
     "Enter name of file containing the data: ",
     "Enter number of values to read (-1 for entire file): "
 };
 
 
-static char *p_extrude[] = {
+static const char *p_extrude[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -490,7 +490,7 @@
 };
 
 
-static char *p_grip[] = {
+static const char *p_grip[] = {
     "Enter X, Y, Z of center: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -502,7 +502,7 @@
 };
 
 
-static char *p_superell[] = {
+static const char *p_superell[] = {
     "Enter X, Y, Z of superellipse vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -520,7 +520,7 @@
 };
 
 
-static char *p_metaball[] = {
+static const char *p_metaball[] = {
     "Enter render method: ",
     "Enter threshold: ",
     "Enter number of points: ",
@@ -535,7 +535,7 @@
 };
 
 
-static char *p_revolve[] = {
+static const char *p_revolve[] = {
     "Enter X, Y, Z of vertex: ",
     "Enter Y: ",
     "Enter Z: ",
@@ -550,7 +550,7 @@
 };
 
 
-static char *p_pnts[] = {
+static const char *p_pnts[] = {
     "Are points in a file (yes/no)? ",
     "Enter number of points (-1 for auto): ",
     "Are the points orientated (yes/no)? ",
@@ -2840,10 +2840,10 @@
     */
     if (BU_STR_EQUAL(argv[2], "ebm")) {
 	nvals = 4;
-	menu = p_ebm;
+	menu = (char **)p_ebm;
 	fn_in = ebm_in;
     } else if (BU_STR_EQUAL(argv[2], "arbn")) {
-	switch (arbn_in(gedp, argc, argv, &internal, &p_arbn[0])) {
+	switch (arbn_in(gedp, argc, argv, &internal, (char **)&p_arbn[0])) {
 	    case GED_ERROR:
 		bu_vls_printf(gedp->ged_result_str, "%s: ERROR, ARBN not made!\n", argv[0]);
 		rt_db_free_internal(&internal);
@@ -2853,7 +2853,7 @@
 	}
 	goto do_new_update;
     } else if (BU_STR_EQUAL(argv[2], "bot")) {
-	switch (bot_in(gedp, argc, argv, &internal, &p_bot[0])) {
+	switch (bot_in(gedp, argc, argv, &internal, (char **)&p_bot[0])) {
 	    case GED_ERROR:
 		bu_vls_printf(gedp->ged_result_str, "%s: ERROR, BOT not made!\n", argv[0]);
 		rt_db_free_internal(&internal);
@@ -2864,16 +2864,16 @@
 	goto do_new_update;
     } else if (BU_STR_EQUAL(argv[2], "submodel")) {
 	nvals = 3;
-	menu = p_submodel;
+	menu = (char **)p_submodel;
 	fn_in = submodel_in;
     } else if (BU_STR_EQUAL(argv[2], "vol")) {
 	nvals = 9;
-	menu = p_vol;
+	menu = (char **)p_vol;
 	fn_in = vol_in;
     } else if (BU_STR_EQUAL(argv[2], "hf")) {
 	if (db_version(gedp->ged_wdbp->dbip) < 5) {
 	    nvals = 19;
-	    menu = p_hf;
+	    menu = (char **)p_hf;
 	    fn_in = hf_in;
 	    bu_vls_printf(gedp->ged_result_str, "%s: the height field is deprecated. Use the dsp primitive.\n", argv[0]);
 	} else {
@@ -2887,16 +2887,16 @@
     } else if (BU_STR_EQUAL(argv[2], "dsp")) {
 	if (db_version(gedp->ged_wdbp->dbip) < 5) {
 	    nvals = 6;
-	    menu = p_dsp_v4;
+	    menu = (char **)p_dsp_v4;
 	    fn_in = dsp_in_v4;
 	} else {
 	    nvals = 8;
-	    menu = p_dsp_v5;
+	    menu = (char **)p_dsp_v5;
 	    fn_in = dsp_in_v5;
 	}
 
     } else if (BU_STR_EQUAL(argv[2], "pipe")) {
-	switch (pipe_in(gedp, argc, argv, &internal, &p_pipe[0])) {
+	switch (pipe_in(gedp, argc, argv, &internal, (char **)&p_pipe[0])) {
 	    case GED_ERROR:
 		bu_vls_printf(gedp->ged_result_str, "%s: ERROR, pipe not made!\n", argv[0]);
 		rt_db_free_internal(&internal);
@@ -2906,7 +2906,7 @@
 	}
 	goto do_new_update;
     } else if (BU_STR_EQUAL(argv[2], "metaball")) {
-	switch (metaball_in(gedp, argc, argv, &internal, &p_metaball[0])) {
+	switch (metaball_in(gedp, argc, argv, &internal, (char **)&p_metaball[0])) {
 	    case GED_ERROR:
 		bu_vls_printf(gedp->ged_result_str, "%s: ERROR, metaball not made!\n", argv[0]);
 		rt_db_free_internal(&internal);
@@ -2916,7 +2916,7 @@
 	}
 	goto do_new_update;
     } else if (BU_STR_EQUAL(argv[2], "ars")) {
-	switch (ars_in(gedp, argc, argv, &internal, &p_ars[0])) {
+	switch (ars_in(gedp, argc, argv, &internal, (char **)&p_ars[0])) {
 	    case GED_ERROR:
 		bu_vls_printf(gedp->ged_result_str, "%s: ERROR, ars not made!\n", argv[0]);
 		rt_db_free_internal(&internal);
@@ -2927,7 +2927,7 @@
 	goto do_new_update;
     } else if (BU_STR_EQUAL(argv[2], "half")) {
 	nvals = 3*1 + 1;
-	menu = p_half;
+	menu = (char **)p_half;
 	fn_in = half_in;
     } else if (bu_strncmp(argv[2], "arb", 3) == 0) {
 	int n = atoi(&argv[2][3]);
@@ -2940,88 +2940,88 @@
 	}
 
 	nvals = 3*n;
-	menu = p_arb;
+	menu = (char **)p_arb;
 	fn_in = arb_in;
     } else if (BU_STR_EQUAL(argv[2], "sph")) {
 	nvals = 3*1 + 1;
-	menu = p_sph;
+	menu = (char **)p_sph;
 	fn_in = sph_in;
     } else if (BU_STR_EQUAL(argv[2], "ellg")) {
 	nvals = 3*2 + 1;
-	menu = p_ellg;
+	menu = (char **)p_ellg;
 	fn_in = ell_in;
     } else if (BU_STR_EQUAL(argv[2], "ell")) {
 	nvals = 3*4;
-	menu = p_ell;
+	menu = (char **)p_ell;
 	fn_in = ell_in;
     } else if (BU_STR_EQUAL(argv[2], "ell1")) {
 	nvals = 3*2 + 1;
-	menu = p_ell1;
+	menu = (char **)p_ell1;
 	fn_in = ell_in;
     } else if (BU_STR_EQUAL(argv[2], "tor")) {
 	nvals = 3*2 + 2;
-	menu = p_tor;
+	menu = (char **)p_tor;
 	fn_in = tor_in;
     } else if (BU_STR_EQUAL(argv[2], "tgc")) {
 	nvals = 3*4 + 2;
-	menu = p_tgc;
+	menu = (char **)p_tgc;
 	fn_in = tgc_in;
     } else if (BU_STR_EQUAL(argv[2], "tec")) {
 	nvals = 3*4 + 1;
-	menu = p_tec;
+	menu = (char **)p_tec;
 	fn_in = tec_in;
     } else if (BU_STR_EQUAL(argv[2], "rec")) {
 	nvals = 3*4;
-	menu = p_rec;
+	menu = (char **)p_rec;
 	fn_in = rec_in;
     } else if (BU_STR_EQUAL(argv[2], "trc")) {
 	nvals = 3*2 + 2;
-	menu = p_trc;
+	menu = (char **)p_trc;
 	fn_in = trc_in;
     } else if (BU_STR_EQUAL(argv[2], "rcc")) {
 	nvals = 3*2 + 1;
-	menu = p_rcc;
+	menu = (char **)p_rcc;
 	fn_in = rcc_in;
     } else if (BU_STR_EQUAL(argv[2], "box")
 	       || BU_STR_EQUAL(argv[2], "raw")) {
 	nvals = 3*4;
-	menu = p_box;
+	menu = (char **)p_box;
 	fn_in = box_in;
     } else if (BU_STR_EQUAL(argv[2], "rpp")) {
 	nvals = 3*2;
-	menu = p_rpp;
+	menu = (char **)p_rpp;
 	fn_in = rpp_in;
     } else if (BU_STR_EQUAL(argv[2], "orpp")) {
 	nvals = 3*1;
-	menu = p_orpp;
+	menu = (char **)p_orpp;
 	fn_in = orpp_in;
     } else if (BU_STR_EQUAL(argv[2], "rpc")) {
 	nvals = 3*3 + 1;
-	menu = p_rpc;
+	menu = (char **)p_rpc;
 	fn_in = rpc_in;
     } else if (BU_STR_EQUAL(argv[2], "rhc")) {
 	nvals = 3*3 + 2;
-	menu = p_rhc;
+	menu = (char **)p_rhc;
 	fn_in = rhc_in;
     } else if (BU_STR_EQUAL(argv[2], "epa")) {
 	nvals = 3*3 + 1;
-	menu = p_epa;
+	menu = (char **)p_epa;
 	fn_in = epa_in;
     } else if (BU_STR_EQUAL(argv[2], "ehy")) {
 	nvals = 3*3 + 2;
-	menu = p_ehy;
+	menu = (char **)p_ehy;
 	fn_in = ehy_in;
     } else if (BU_STR_EQUAL(argv[2], "hyp")) {
 	nvals = 3*3 + 2;
-	menu = p_hyp;
+	menu = (char **)p_hyp;
 	fn_in = hyp_in;
     } else if (BU_STR_EQUAL(argv[2], "eto")) {
 	nvals = 3*3 + 2;
-	menu = p_eto;
+	menu = (char **)p_eto;
 	fn_in = eto_in;
     } else if (BU_STR_EQUAL(argv[2], "part")) {
 	nvals = 2*3 + 2;
-	menu = p_part;
+	menu = (char **)p_part;
 	fn_in = part_in;
     } else if (BU_STR_EQUAL(argv[2], "binunif")) {
 	if (db_version(gedp->ged_wdbp->dbip) < 5) {
@@ -3031,27 +3031,27 @@
 	    return GED_ERROR;
 	} else {
 	    nvals = 3;
-	    menu = p_binunif;
+	    menu = (char **)p_binunif;
 	    fn_in = binunif_in;
 	}
     } else if (BU_STR_EQUAL(argv[2], "extrude")) {
 	nvals = 4*3 + 1;
-	menu = p_extrude;
+	menu = (char **)p_extrude;
 	fn_in = extrude_in;
     } else if (BU_STR_EQUAL(argv[2], "revolve")) {
 	nvals = 3*3 + 2;
-	menu = p_revolve;
+	menu = (char **)p_revolve;
 	fn_in = revolve_in;
     } else if (BU_STR_EQUAL(argv[2], "grip")) {
 	nvals = 2*3 + 1;
-	menu = p_grip;
+	menu = (char **)p_grip;
 	fn_in = grip_in;
     } else if (BU_STR_EQUAL(argv[2], "superell")) {
 	nvals = 3*4 + 2;
-	menu = p_superell;
+	menu = (char **)p_superell;
 	fn_in = superell_in;
     } else if (BU_STR_EQUAL(argv[2], "pnts")) {
-	switch (pnts_in(gedp, argc, argv, &internal, p_pnts)) {
+	switch (pnts_in(gedp, argc, argv, &internal, (char **)p_pnts)) {
 	    case GED_ERROR:
 		bu_vls_printf(gedp->ged_result_str, "%s: ERROR, pnts not made!\n", argv[0]);
 		rt_db_free_internal(&internal);
Index: src/libged/tree.c
===================================================================
--- src/libged/tree.c	(revision 54124)
+++ src/libged/tree.c	(working copy)
@@ -110,7 +110,7 @@
 
     /* tree of all displayed objects */
     if (argc == 1) {
-	char *whocmd[2] = {"who", NULL};
+	const char *whocmd[2] = {"who", NULL};
 	if (ged_who(gedp, 1, (const char **)whocmd) == GED_OK) {
 	    buffer = bu_strdup(bu_vls_addr(gedp->ged_result_str));
 	    bu_vls_trunc(gedp->ged_result_str, 0);
